| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | Friends | List of all members
VolProc::Chain Class Reference
VolumeProcessing

A chain of Steps that can be applied to a volume of scalars.
More...

`#include <volprocchain.h>`

Inheritance diagram for VolProc::Chain:
[legend]

## Classes
class | Connection
class | Web

## Public Member Functions
| Chain ()
bool | addConnection (const Connection &)
void | addStep (Step *)
bool | areSamplesIndependent () const
uiString | errMsg () const
void | fillPar (IOPar &) const
Step::ID | getNewStepID ()
int | getNrUsers (Step::ID, Step::InputSlotID) const
const ObjectSet< Scaler > & | getOutputScalers () const
Step * | getStep (int)
Step * | getStepFromID (Step::ID)
const Step * | getStepFromID (Step::ID) const
Step * | getStepFromName (const char *)
const Step * | getStepFromName (const char *) const
const ObjectSet< Step > & | getSteps () const
const VelocityDesc * | getVelDesc () const
const Web & | getWeb () const
float | getZStep () const
int | indexOf (const Step *) const
void | insertStep (int, Step *)
bool | is2D () const
bool | needsFullVolume () const
int | nrSteps () const
void | removeConnection (const Connection &)
void | removeStep (int)
void | setOutputScalers (const ObjectSet< Scaler > &)
bool | setOutputSlot (Step::ID, Step::OutputSlotID)
void | setStorageID (const MultiID &mid)
void | setZStep (float z, bool zist)
const MultiID & | storageID () const
void | swapSteps (int, int)
void | updateConnections ()
bool | usePar (const IOPar &)
bool | zIsT () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
virtual | ~Chain ()
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Private Member Functions
bool | validConnection (const Connection &) const

## Static Private Member Functions
static const char * | sKeyConnection (int idx, BufferString &)
static const char * | sKeyNrConnections ()
static const char * | sKeyNrSteps ()
static const char * | sKeyStepType ()

## Private Attributes
uiString | errmsg_
Threads::Atomic< int > | freeid_
bool | is2d_ = false
ObjectSet< Scaler > | outcompscalers_
Step::OutputSlotID | outputslotid_
Step::ID | outputstepid_
ObjectSet< Step > | steps_
MultiID | storageid_
Web | web_
bool | zist_
float | zstep_

## Friends
class | ChainExecutor

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

A chain of Steps that can be applied to a volume of scalars.

<>

## Constructor & Destructor Documentation

## ◆ Chain()

VolProc::Chain::Chain | ( |  | ) |

## ◆ ~Chain()

virtual VolProc::Chain::~Chain | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ addConnection()

bool VolProc::Chain::addConnection | ( | const Connection & |  | ) |

## ◆ addStep()

void VolProc::Chain::addStep | ( | Step * |  | ) |

## ◆ areSamplesIndependent()

bool VolProc::Chain::areSamplesIndependent | ( |  | ) | const

## ◆ errMsg()

uiString VolProc::Chain::errMsg | ( |  | ) | const

## ◆ fillPar()

void VolProc::Chain::fillPar | ( | IOPar & |  | ) | const

## ◆ getNewStepID()

Step::ID VolProc::Chain::getNewStepID | ( |  | ) |
| inline

## ◆ getNrUsers()

int VolProc::Chain::getNrUsers | ( | Step::ID | ,
|  | Step::InputSlotID | ) const

## ◆ getOutputScalers()

const ObjectSet< Scaler > & VolProc::Chain::getOutputScalers | ( |  | ) | const

## ◆ getStep()

Step * VolProc::Chain::getStep | ( | int |  | ) |

## ◆ getStepFromID() [1/2]

Step * VolProc::Chain::getStepFromID | ( | Step::ID |  | ) |

## ◆ getStepFromID() [2/2]

const Step * VolProc::Chain::getStepFromID | ( | Step::ID |  | ) | const

## ◆ getStepFromName() [1/2]

Step * VolProc::Chain::getStepFromName | ( | const char * |  | ) |

## ◆ getStepFromName() [2/2]

const Step * VolProc::Chain::getStepFromName | ( | const char * |  | ) | const

## ◆ getSteps()

const ObjectSet< Step > & VolProc::Chain::getSteps | ( |  | ) | const
| inline

## ◆ getVelDesc()

const VelocityDesc * VolProc::Chain::getVelDesc | ( |  | ) | const

## ◆ getWeb()

const Web & VolProc::Chain::getWeb | ( |  | ) | const
| inline

## ◆ getZStep()

float VolProc::Chain::getZStep | ( |  | ) | const
| inline

## ◆ indexOf()

int VolProc::Chain::indexOf | ( | const Step * |  | ) | const

## ◆ insertStep()

void VolProc::Chain::insertStep | ( | int | ,
|  | Step * | )

## ◆ is2D()

bool VolProc::Chain::is2D | ( |  | ) | const

## ◆ needsFullVolume()

bool VolProc::Chain::needsFullVolume | ( |  | ) | const

## ◆ nrSteps()

int VolProc::Chain::nrSteps | ( |  | ) | const

## ◆ removeConnection()

void VolProc::Chain::removeConnection | ( | const Connection & |  | ) |

## ◆ removeStep()

void VolProc::Chain::removeStep | ( | int |  | ) |

## ◆ setOutputScalers()

void VolProc::Chain::setOutputScalers | ( | const ObjectSet< Scaler > & |  | ) |

## ◆ setOutputSlot()

bool VolProc::Chain::setOutputSlot | ( | Step::ID | ,
|  | Step::OutputSlotID | )

## ◆ setStorageID()

void VolProc::Chain::setStorageID | ( | const MultiID & | mid | ) |

## ◆ setZStep()

void VolProc::Chain::setZStep | ( | float | z,
|  | bool | zist )
| inline

## ◆ sKeyConnection()

static const char * VolProc::Chain::sKeyConnection | ( | int | idx,
|  | BufferString & | )
| static private

## ◆ sKeyNrConnections()

static const char * VolProc::Chain::sKeyNrConnections | ( |  | ) |
| inline static private

## ◆ sKeyNrSteps()

static const char * VolProc::Chain::sKeyNrSteps | ( |  | ) |
| inline static private

## ◆ sKeyStepType()

static const char * VolProc::Chain::sKeyStepType | ( |  | ) |
| inline static private

## ◆ storageID()

const MultiID & VolProc::Chain::storageID | ( |  | ) | const
| inline

## ◆ swapSteps()

void VolProc::Chain::swapSteps | ( | int | ,
|  | int | )

## ◆ updateConnections()

void VolProc::Chain::updateConnections | ( |  | ) |

## ◆ usePar()

bool VolProc::Chain::usePar | ( | const IOPar & |  | ) |

## ◆ validConnection()

bool VolProc::Chain::validConnection | ( | const Connection & |  | ) | const
| private

## ◆ zIsT()

bool VolProc::Chain::zIsT | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ ChainExecutor

friend class ChainExecutor
| friend

## Member Data Documentation

## ◆ errmsg_

uiString VolProc::Chain::errmsg_
| private

## ◆ freeid_

Threads::Atomic<int> VolProc::Chain::freeid_
| private

## ◆ is2d_

bool VolProc::Chain::is2d_ = false
| private

## ◆ outcompscalers_

ObjectSet<Scaler> VolProc::Chain::outcompscalers_
| private

## ◆ outputslotid_

Step::OutputSlotID VolProc::Chain::outputslotid_
| private

## ◆ outputstepid_

Step::ID VolProc::Chain::outputstepid_
| private

## ◆ steps_

ObjectSet<Step> VolProc::Chain::steps_
| private

## ◆ storageid_

MultiID VolProc::Chain::storageid_
| private

## ◆ web_

Web VolProc::Chain::web_
| private

## ◆ zist_

bool VolProc::Chain::zist_
| private

## ◆ zstep_

float VolProc::Chain::zstep_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025